<script lang="ts">
import Article from '../dtos/Article.dto';
import { reactive } from 'vue';
import { ElMessage } from 'element-plus';
import User from '../dtos/User.dto';
import { uid } from 'uid';
import db from '../storage/LocalForage';
import { useUserStore } from '../stores/UserStore';
export default {
  name: 'CreateProfilForm',
  emits: ['refresh-articles'],
  setup() {
    const userStore = useUserStore();
    return { userStore };
  },
  data() {
    return {
      articleContent: '',
      articleUrl: '',
    };
  },
  methods: {
    async onSubmit() {
      if (this.articleContent !== '' && this.articleUrl !== '') {
        const newArticle = new Article(
          uid(),
          this.articleContent,
          this.articleUrl,
          0,
          this.userStore.getUser.pseudo,
          new Date().getTime(),
          [],
          this.userStore.getUser.urlProfilPic
        );

        const articles = (await db.getItem('Articles')) as Article[];
        articles.push(newArticle);
        await db.setItem('Articles', articles);
        this.$emit('refresh-articles');
      } else {
        ElMessage.error('Veuillez remplir tous les champs obligatoire');
      }
    },
  },
};
</script>

<template>
  <div style="width: 100%">
    <el-card class="box-card">
      <template #header>
        <div class="card-header">
          <span>Quoi de neuf ?</span>
        </div>
      </template>

      <el-input
        style="margin-bottom: 10px"
        v-model="articleContent"
        type="textarea"
        placeholder="laisser un nouveau post"
      />

      <el-input
        style="margin-bottom: 10px"
        v-model="articleUrl"
        placeholder="url de votre image taille conseillé 1000x200px"
      />

      <el-button type="primary" @click="onSubmit"
        >Laisser un nouveau post</el-button
      >
    </el-card>
  </div>
</template>

<style scoped></style>
